Name:		globus-gram-audit
%global _name %(tr - _ <<< %{name})
Version:	3.2
Release:	1%{?dist}
Summary:	Globus Toolkit - GRAM Jobmanager Auditing

Group:		Applications/Internet
License:	ASL 2.0
URL:		http://www.globus.org/
Source:		http://www.globus.org/ftppub/gt5/5.2/5.2.2/packages/src/%{_name}-%{version}.tar.gz
#		README file
Source8:	GLOBUS-GRAM5
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	globus-common >= 14
Requires:	crontabs
BuildRequires:	grid-packaging-tools >= 3.4
BuildRequires:	globus-core >= 8

%description
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
GRAM Jobmanager Auditing

%prep
%setup -q -n %{_name}-%{version}

%build
# Remove files that should be replaced during bootstrap
rm -f doxygen/Doxyfile*
rm -f doxygen/Makefile.am
rm -f pkgdata/Makefile.am
rm -f globus_automake*
rm -rf autom4te.cache

unset GLOBUS_LOCATION
unset GPT_LOCATION
%{_datadir}/globus/globus-bootstrap.sh

%configure --disable-static --without-flavor \
	   --with-docdir=%{_docdir}/%{name}-%{version}

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

GLOBUSPACKAGEDIR=$RPM_BUILD_ROOT%{_datadir}/globus/packages

# Rename cron script
mv $RPM_BUILD_ROOT%{_sysconfdir}/cron.hourly/globus-gram-audit.cron \
   $RPM_BUILD_ROOT%{_sysconfdir}/cron.hourly/globus-gram-audit
sed s/globus-gram-audit.cron/globus-gram-audit/ \
  -i $GLOBUSPACKAGEDIR/%{_name}/noflavor_pgm.filelist

# Install README file
install -m 644 -p %{SOURCE8} \
  $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/README

# Generate package filelists
cat $GLOBUSPACKAGEDIR/%{_name}/noflavor_pgm.filelist \
    $GLOBUSPACKAGEDIR/%{_name}/noflavor_data.filelist \
  | sed -e s!^!%{_prefix}! \
	-e 's!%{_prefix}%{_sysconfdir}/cron!%{_sysconfdir}/cron!' \
	-e 's!%{_prefix}%{_sysconfdir}!%config(noreplace) %{_sysconfdir}!' \
  > package.filelist
cat $GLOBUSPACKAGEDIR/%{_name}/noflavor_doc.filelist \
  | sed -e 's!/man/.*!&*!' -e 's!^!%doc %{_prefix}!' >> package.filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f package.filelist
%defattr(-,root,root,-)
%dir %{_datadir}/globus/gram-audit
%dir %{_datadir}/globus/packages/%{_name}
%dir %{_localstatedir}/lib/globus/gram-audit
%dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/README

%changelog
* Sun Jul 22 2012 Mattias Ellert <mattias.ellert@fysast.uu.se> - 3.2-1
- Update to Globus Toolkit 5.2.2
- Drop patch globus-gram-audit-check.patch (fixed upstream)

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb 08 2012 Mattias Ellert <mattias.ellert@fysast.uu.se> - 3.1-3
- Don't mark cron script as config file

* Tue Jan 24 2012 Mattias Ellert <mattias.ellert@fysast.uu.se> - 3.1-2
- Rename cron script
- Fix broken links in README file

* Fri Dec 16 2011 Mattias Ellert <mattias.ellert@fysast.uu.se> - 3.1-1
- Autogenerated
